<?php
/**
 * Plugin Publication multi-sites avec filtrage par rubrique
 * Copyright (c) Christophe IMBERTI
 * Licence Creative commons by-nc-sa
 */

if (!defined("_ECRIRE_INC_VERSION")) return;


function action_cims_supprimer_dist($arg=null){
	
	if (is_null($arg)){
		$securiser_action = charger_fonction('securiser_action','inc');
		$arg = $securiser_action();
	}

	$arg = explode("-",$arg);
	list($objet_source,$ids,$objet_lie,$idl) = $arg;

	dissocier_multisite(array($objet_source,$ids,$objet_lie,$idl));
}


// http://doc.spip.org/@action_editer_multisites_post
function dissocier_multisite($r) {
	$redirect = _request('redirect');

	list($objet, $id_objet, $objet_lie, $id_multisite) = $r;
	if ($id_multisite) {
		if ($objet){ 
		  // desassocier d'un objet precis
			if (autoriser('configurer')){
				sql_delete("spip_cims_multisites", "id_rubrique=$id_objet AND multisite='$id_multisite'");
				if (defined('_DIR_PLUGIN_CITRACE')){
					if ($citrace = charger_fonction('citrace', 'inc'))
						$citrace('site', $id_multisite, 'retirer rubrique du site', 'rubrique:'.$id_objet);
				}
			}
		}
	}

	$redirect = rawurldecode($redirect);

	redirige_par_entete($redirect);
}

?>